Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPhoneType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $id=false)
| get ( $id)
| fill (&$phone_type_array)
| setName ( $value)
| name ()
| id ()
& | count ()
| moveUp ()
| moveDown ()

## Static Public Member Functions
static | getAllCount ()
static | getAll ( $as_object=true, $offset=0, $max=-1)

## Public Attributes
| $ID
| $Name
| $ListOrder

## Detailed Description

! eZAddressType eZAddressType handles address types.

Example code:

// create a new phone type and set some variables.
$phoneType = new eZPhoneType();
$phoneType->setName( "Home phone" );
$phoneType->store();
eZPhoneType
Definition: ezphonetype.php:46

See also
  eZAddressType

Definition at line 45 of file ezphonetype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPhoneType::__construct | ( |  | $id = `-1` | ) |

Definition at line 53 of file ezphonetype.php.

References $ID, $id, and fill().

## Member Function Documentation

## ◆ count()

& eZPhoneType::count | ( |  | ) |

Returns the number of external items using this item.

Definition at line 242 of file ezphonetype.php.

References $db, and eZDB\globalDatabase().

Referenced by get().

## ◆ delete()

eZPhoneType::delete | ( |  | $id = `false` | ) |

Definition at line 108 of file ezphonetype.php.

References $db, $ID, $id, $result, and eZDB\globalDatabase().

## ◆ fill()

eZPhoneType::fill | ( | & | $phone_type_array | ) |

Extracts the information from the array and puts it in the object.

Definition at line 149 of file ezphonetype.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZPhoneType::get | ( |  | $id | ) |

Definition at line 128 of file ezphonetype.php.

References $db, $id, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

static eZPhoneType::getAll | ( |  | $as_object = `true`,
|  |  | $offset = `0`,
|  |  | $max = `-1`
| ) |  |
| static

Definition at line 173 of file ezphonetype.php.

References $db, $limit, $offset, and eZDB\globalDatabase().

## ◆ getAllCount()

static eZPhoneType::getAllCount | ( |  | ) |
| static

Definition at line 161 of file ezphonetype.php.

References $db, and eZDB\globalDatabase().

## ◆ id()

eZPhoneType::id | ( |  | ) |

Returns the id.

Definition at line 234 of file ezphonetype.php.

References $ID.

## ◆ moveDown()

eZPhoneType::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 275 of file ezphonetype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ moveUp()

eZPhoneType::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 257 of file ezphonetype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ name()

eZPhoneType::name | ( |  | ) |

Returns the name.

Definition at line 226 of file ezphonetype.php.

References $Name.

## ◆ setName()

eZPhoneType::setName | ( |  | $value | ) |

Sets the name.

Definition at line 218 of file ezphonetype.php.

References Name.

## ◆ store()

eZPhoneType::store | ( |  | ) |

Stores or updates a eZPhoneType object in the database.

Definition at line 69 of file ezphonetype.php.

References $db, $name, $result, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZPhoneType::$ID

Definition at line 289 of file ezphonetype.php.

Referenced by __construct(), delete(), and id().

## ◆ $ListOrder

eZPhoneType::$ListOrder

Definition at line 291 of file ezphonetype.php.

## ◆ $Name

eZPhoneType::$Name

Definition at line 290 of file ezphonetype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezphonetype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.